package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.Null;

import org.hibernate.annotations.Immutable;

@Entity
@Table(name="audit_proces_plan_wrp_v")
@Immutable
public class AuditPlanV implements Serializable {
	

	@Column(name="legal_entity_code")
	private int legalEntityCode;	
	
	
	@Column(name="audit_type_desc")
	private String auditTypeDesc;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
		
	@Null @Column(name="plan_id")
	private String planId;
	

	//@Temporal(TemporalType.DATE)
	@Column(name="plan_start_date")
	private Date planStartDate;
	

	//@Temporal(TemporalType.DATE)
	@Column(name="plan_end_date")
	private Date planEndDate;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;  
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public int getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(int legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeDesc() {
		return auditTypeDesc;
	}

	public void setAuditTypeDesc(String auditTypeDesc) {
		this.auditTypeDesc = auditTypeDesc;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public Date getPlanStartDate() {
		return planStartDate;
	}

	public void setPlanStartDate(Date planStartDate) {
		this.planStartDate = planStartDate;
	}

	public Date getPlanEndDate() {
		return planEndDate;
	}

	public void setPlanEndDate(Date planEndDate) {
		this.planEndDate = planEndDate;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	@Override
	public String toString() {
		return "AuditPlanV [legalEntityCode=" + legalEntityCode + ", auditTypeDesc=" + auditTypeDesc
				+ ", auditTypeCode=" + auditTypeCode + ", planId=" + planId + ", planStartDate=" + planStartDate
				+ ", planEndDate=" + planEndDate + ", status=" + status + "]";
	}

	

	

}
